Bug 168065 - yum reports libmusicbrainz.x86_64 installed but then sends error that libmusicbrainz.so.2 is a dependency
yum reports libmusicbrainz.x86_64 installed but then sends error that libmusi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-11 23:31 EDT by mary smith
Modified: 2014-01-21 17:52 EST (History)
1 user (show)

See Also:
Fixed In Version: fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-19 16:05:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mary smith 2005-09-11 23:31:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
yum reports libmusicbrainz.x86_64 installed but then sends error that libmusicbrainz.so.2 is a dependency

I was unable to run yum update receiving an error that libmusicbrainz was a dependency and missing.

removed packages that required libmusicbrainz (sound-juicer and gstreamer-plugins)
and reinstalled these packages and packages removed with gstreamer (nautilus-media, gnome-media, gnome-volume-manger, gnome-applets, gnome-session and rythmbox) which all installed ok.

issuing yum update produces the original error
Missing Dependency libmusicbrainz.so.2() (64bit) is needed by package gstreamer-plugins

Version-Release number of selected component (if applicable):
yum update

How reproducible:
Always

Steps to Reproduce:
1. yum update
2.
3.
  

Actual Results:  Missing Dependency libmusicbrainz.so.2() (64bit) is needed by package ..

Expected Results:  installed update
and installation complete message

Additional info:
Comment 1 Seth Vidal 2005-09-12 19:46:10 EDT
does the installed libmusicbrainz package actually provided libmusicbrainz.so.2?

rpm -q --provides libmusicbrainz

Comment 2 Seth Vidal 2005-09-13 09:07:07 EDT
please don't respond to bugzilla email VIA email - respond in the web interface.
Comment 3 mary smith 2005-09-13 18:51:03 EDT
yes - my understanding is that I could not install gstreamer-plugins using yum,
if this were not so.


issuing:
rpm -q --provides libmusicbrainz


emits:
libmusicbrainz.so.2() (64bit)
libmusicbrainz = 2.0.2-11

PS - I looked at the bug report again and noticed I did not put in
version-release number for yum and do not see how to do it here.
yum version = 2.2.2
Comment 4 Jeremy Katz 2006-04-19 16:05:01 EDT
This is fixed in newer releases

Note You need to log in before you can comment on or make changes to this bug.